Debian Bug report logs - #617342
32-bit multiframe image conversion ignores frames

version graph

Package: mriconvert; Maintainer for mriconvert is Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>; Source for mriconvert is src:mriconvert.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Tue, 8 Mar 2011 09:39:01 UTC

Severity: normal

Found in version mriconvert/2.0-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Tue, 08 Mar 2011 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 08 Mar 2011 09:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mriconvert: MRIConvert does not support 32 bits
Date: Tue, 08 Mar 2011 10:36:45 +0100
Package: mriconvert
Version: 2.0-2
Severity: normal


I cannot View the following RTDose image:

http://gdcm.sourceforge.net/thingies/RTDose.dcm.gz

(need to decompress first).

It is displayed as if 32bits were truncated.

thanks

-- System Information:
Debian Release: 6.0
  APT prefers squeeze-updates
  APT policy: (500, 'squeeze-updates'), (500, 'stable'), (200, 'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages mriconvert depends on:
ii  libc6                      2.11.2-10     Embedded GNU C Library: Shared lib
ii  libgcc1                    1:4.4.5-8     GCC support library
ii  libstdc++6                 4.4.5-8       The GNU Standard C++ Library v3
ii  libwxbase2.8-0             2.8.10.1-3+b1 wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0              2.8.10.1-3+b1 wxWidgets Cross-platform C++ GUI t

mriconvert recommends no packages.

mriconvert suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Thu, 23 Jun 2011 04:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 23 Jun 2011 04:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 617342@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 617342@bugs.debian.org
Subject: confirmed in 2.0.216
Date: Wed, 22 Jun 2011 23:20:06 -0500
[Message part 1 (text/plain, inline)]
While packaging 2.0 r216, I tried the specified RTDOSE file and
confirmed the behaviour still exists.  

The DICOM file contains 23 frames of 120x120 32-bit pixel images.
After conversion to MetaImage, the output is 120x120x1 volume
of USHORTs.

-Steve

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Thu, 13 Oct 2011 20:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuck Theobald <chuckt@uoregon.edu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 13 Oct 2011 20:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 617342@bugs.debian.org (full text, mbox):

From: Chuck Theobald <chuckt@uoregon.edu>
To: 617342@bugs.debian.org
Subject: Update program for testing
Date: Thu, 13 Oct 2011 12:43:17 -0700
[Message part 1 (text/plain, inline)]
I've made some changes so that MRIConvert emits 32-bit .raw files, but 
do not have a way to test. Attached is a tarball with Debian binaries 
for testing.

-- 
Chuck Theobald
System Administrator
The Robert and Beverly Lewis Center for Neuroimaging
University of Oregon
P: 541-346-0343
F: 541-346-0345

[mriconvert.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Thu, 20 Oct 2011 03:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 20 Oct 2011 03:39:03 GMT) Full text and rfc822 format available.

Message #20 received at 617342@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Chuck Theobald <chuckt@uoregon.edu>, 617342@bugs.debian.org
Cc: 617342-submitter@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#617342: Update program for testing
Date: Wed, 19 Oct 2011 22:36:37 -0500
[Message part 1 (text/plain, inline)]
On Thu, Oct 13, 2011 at 12:43:17PM -0700, Chuck Theobald wrote:
> I've made some changes so that MRIConvert emits 32-bit .raw files,
> but do not have a way to test. 

Does it work successfully on the image Mathieu attached
to the bug report http://bugs.debian.org/617342 ?

Thanks,
-Steve
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug#617342. (Thu, 20 Oct 2011 03:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Thu, 20 Oct 2011 17:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuck Theobald <chuckt@uoregon.edu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Thu, 20 Oct 2011 17:03:03 GMT) Full text and rfc822 format available.

Message #28 received at 617342@bugs.debian.org (full text, mbox):

From: Chuck Theobald <chuckt@uoregon.edu>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 617342@bugs.debian.org, 617342-submitter@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#617342: Update program for testing
Date: Thu, 20 Oct 2011 10:01:27 -0700
It does convert the RTDose image file and produces a file of the correct 
size. I just do not have a way to view the resulting file.

-- 
Chuck Theobald
System Administrator
The Robert and Beverly Lewis Center for Neuroimaging
University of Oregon
P: 541-346-0343
F: 541-346-0345





Message sent on to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug#617342. (Thu, 20 Oct 2011 17:39:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Fri, 21 Oct 2011 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 21 Oct 2011 01:15:03 GMT) Full text and rfc822 format available.

Message #36 received at 617342@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Chuck Theobald <chuckt@uoregon.edu>
Cc: 617342@bugs.debian.org, 617342-submitter@bugs.debian.org
Subject: Re: [Debian-med-packaging] Bug#617342: Update program for testing
Date: Thu, 20 Oct 2011 20:13:27 -0500
[Message part 1 (text/plain, inline)]
On Thu, Oct 20, 2011 at 10:01:27AM -0700, Chuck Theobald wrote:
> It does convert the RTDose image file and produces a file of the
> correct size. I just do not have a way to view the resulting file.

Chuck: thanks for the update.  Hopefully Mathieu has a means
to verify the converted file's contents.


-Steve
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug#617342. (Fri, 21 Oct 2011 01:15:05 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:44 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Tue, 25 Sep 2012 02:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 25 Sep 2012 02:21:05 GMT) Full text and rfc822 format available.

Message #46 received at 617342@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Chuck Theobald <chuckt@uoregon.edu>
Cc: 617342@bugs.debian.org
Subject: Re: Update program for testing (failure to convert 32-bit images)
Date: Mon, 24 Sep 2012 21:12:10 -0500
[Message part 1 (text/plain, inline)]
Hello Chuck,

While working my way through my Debian bug list, I noticed this one
[1] is still open: MRIConvert does not support 32 bits

I tried Mathieu's image on the latest Debian MRIConvert (2.0.235), and
it failed as noted in the report: the output is 16 bits, not 32.


On Thu, Oct 13, 2011 at 12:43:17PM -0700, Chuck Theobald wrote:
> I've made some changes so that MRIConvert emits 32-bit .raw files,
> but do not have a way to test. Attached is a tarball with Debian
> binaries for testing.

Then I tried the binary you attached, and obtained 32 bit output.

Scratching my head, I tried the Debian binary again.  Same result.
Then I noticed the Debian binary's "Help|About" box claims the version
is 2.0.217.

I went back to my source archives and discovered that the upstream
versions in Debian are THE SAME for 2.0.217 and 2.0.235.  I went to
the download site [2] and discovered that the mriconvert_sources.zip
is also the same as 2.0.217.

Is it possible that the sources link was not updated when 2.0.235 was
released?  Could I trouble you to create a new release?

Thanks,
-Steve

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617342
[2] http://lcni.uoregon.edu/~jolinda/MRIConvert/mriconvert_sources.zip
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Tue, 25 Sep 2012 14:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chuck <chuckt@uoregon.edu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Tue, 25 Sep 2012 14:57:06 GMT) Full text and rfc822 format available.

Message #51 received at 617342@bugs.debian.org (full text, mbox):

From: Chuck <chuckt@uoregon.edu>
To: "Steve M. Robbins" <steve@sumost.ca>
Cc: 617342@bugs.debian.org
Subject: Re: Update program for testing (failure to convert 32-bit images)
Date: Tue, 25 Sep 2012 07:43:23 -0700
Hi Steve,

Thank you for the report. I will look into this distribution issue. FYI, 
the binaries for OS X and all Linux versions available on the MRIConvert 
web site should be up-to-date with 32-bit code.

Regards,
Chuck


On 12-09-24 07:12 PM, Steve M. Robbins wrote:
> Hello Chuck,
>
> While working my way through my Debian bug list, I noticed this one
> [1] is still open: MRIConvert does not support 32 bits
>
> I tried Mathieu's image on the latest Debian MRIConvert (2.0.235), and
> it failed as noted in the report: the output is 16 bits, not 32.
>
>
> On Thu, Oct 13, 2011 at 12:43:17PM -0700, Chuck Theobald wrote:
>> I've made some changes so that MRIConvert emits 32-bit .raw files,
>> but do not have a way to test. Attached is a tarball with Debian
>> binaries for testing.
> Then I tried the binary you attached, and obtained 32 bit output.
>
> Scratching my head, I tried the Debian binary again.  Same result.
> Then I noticed the Debian binary's "Help|About" box claims the version
> is 2.0.217.
>
> I went back to my source archives and discovered that the upstream
> versions in Debian are THE SAME for 2.0.217 and 2.0.235.  I went to
> the download site [2] and discovered that the mriconvert_sources.zip
> is also the same as 2.0.217.
>
> Is it possible that the sources link was not updated when 2.0.235 was
> released?  Could I trouble you to create a new release?
>
> Thanks,
> -Steve
>
> [1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617342
> [2] http://lcni.uoregon.edu/~jolinda/MRIConvert/mriconvert_sources.zip


-- 
Chuck Theobald
System Administrator
The Robert and Beverly Lewis Center for Neuroimaging
University of Oregon
P: 541-346-0343
F: 541-346-0345




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Sat, 06 Oct 2012 22:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 06 Oct 2012 22:39:05 GMT) Full text and rfc822 format available.

Message #56 received at 617342@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Chuck <chuckt@uoregon.edu>, 617342@bugs.debian.org
Cc: "Steve M. Robbins" <steve@sumost.ca>
Subject: Re: Bug#617342: Update program for testing (failure to convert 32-bit images)
Date: Sun, 7 Oct 2012 00:33:50 +0200
Hi Chuck,

in Debian exists a system to verify web sites for new upstream sources
to register changes automatically and enable automatic download.  For
this purpose it is extremely helpful if the download file contains the
proper version in the file name.  For instance in the case of mriconvert
it would be really helpful to have some downloadable file

   mriconvert-2.0.235.source.zip

or something similar.  We had really large trouble to find a tricky
solution to enable the automatic version detection (see for instance the
discussion here [1]) and as this conversation shows the habit to not use
the version number in the source download file is somehow error prone.

Could you do us the favour and follow the advise and use the version
number also for the sources as well as you are doing it for the binary
downloads?

Thanks for your understanding

       Andreas.

[1] http://lcni.uoregon.edu/~jolinda/MRIConvert/

On Tue, Sep 25, 2012 at 07:43:23AM -0700, Chuck wrote:
> Hi Steve,
> 
> Thank you for the report. I will look into this distribution issue.
> FYI, the binaries for OS X and all Linux versions available on the
> MRIConvert web site should be up-to-date with 32-bit code.
> 
> Regards,
> Chuck
> 
> 
> On 12-09-24 07:12 PM, Steve M. Robbins wrote:
> >Hello Chuck,
> >
> >While working my way through my Debian bug list, I noticed this one
> >[1] is still open: MRIConvert does not support 32 bits
> >
> >I tried Mathieu's image on the latest Debian MRIConvert (2.0.235), and
> >it failed as noted in the report: the output is 16 bits, not 32.
> >
> >
> >On Thu, Oct 13, 2011 at 12:43:17PM -0700, Chuck Theobald wrote:
> >>I've made some changes so that MRIConvert emits 32-bit .raw files,
> >>but do not have a way to test. Attached is a tarball with Debian
> >>binaries for testing.
> >Then I tried the binary you attached, and obtained 32 bit output.
> >
> >Scratching my head, I tried the Debian binary again.  Same result.
> >Then I noticed the Debian binary's "Help|About" box claims the version
> >is 2.0.217.
> >
> >I went back to my source archives and discovered that the upstream
> >versions in Debian are THE SAME for 2.0.217 and 2.0.235.  I went to
> >the download site [2] and discovered that the mriconvert_sources.zip
> >is also the same as 2.0.217.
> >
> >Is it possible that the sources link was not updated when 2.0.235 was
> >released?  Could I trouble you to create a new release?
> >
> >Thanks,
> >-Steve
> >
> >[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617342
> >[2] http://lcni.uoregon.edu/~jolinda/MRIConvert/mriconvert_sources.zip
> 
> 
> -- 
> Chuck Theobald
> System Administrator
> The Robert and Beverly Lewis Center for Neuroimaging
> University of Oregon
> P: 541-346-0343
> F: 541-346-0345
> 
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/debian-med-packaging
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Sat, 09 Feb 2013 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sat, 09 Feb 2013 20:51:03 GMT) Full text and rfc822 format available.

Message #61 received at 617342@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: mriconvert@ithelp.uoregon.edu
Cc: 617342@bugs.debian.org
Subject: 32-bit multiframe image conversion ignores frames
Date: Sat, 9 Feb 2013 14:36:54 -0600
Hi,

I've just packaged the latest MRIConvert version 2.0r250 for Debian.  I used
it to check the status of Debian bug #617342.

The DICOM file contains 23 frames of 120x120 32-bit pixel images.

The good news is that the MetaImage output is 32-bit (MET_UINT).  The
bad news is that only one frame of 23 is present; the output is a
120x120x1 volume.

A superficial grep shows that the code is aware of fames.  Is there
some magic to get all frames converted?

Thanks,
-Steve




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Sat, 09 Feb 2013 21:06:03 GMT) Full text and rfc822 format available.

Message #64 received at 617342@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins via RT" <mriconvert@ithelp.uoregon.edu>
Cc: 617342@bugs.debian.org, chuckt@uoregon.edu
Subject: [ithelp #504045] 32-bit multiframe image conversion ignores frames
Date: Sat, 9 Feb 2013 12:37:00 -0800
Sat Feb 09 12:36:58 2013: Request 504045 was acted upon.
 Transaction: Ticket created by steve@sumost.ca
       Queue: mriconvert
     Subject: 32-bit multiframe image conversion ignores frames
       Owner: Nobody
  Requestors: steve@sumost.ca
      Status: new
 Ticket <URL: http://ithelp.uoregon.edu/Ticket/Display.html?id=504045 >


Hi,

I've just packaged the latest MRIConvert version 2.0r250 for Debian.  I used
it to check the status of Debian bug #617342.

The DICOM file contains 23 frames of 120x120 32-bit pixel images.

The good news is that the MetaImage output is 32-bit (MET_UINT).  The
bad news is that only one frame of 23 is present; the output is a
120x120x1 volume.

A superficial grep shows that the code is aware of fames.  Is there
some magic to get all frames converted?

Thanks,
-Steve





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Sun, 10 Feb 2013 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Sun, 10 Feb 2013 23:48:03 GMT) Full text and rfc822 format available.

Message #69 received at 617342@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: "Steve M. Robbins" <smr@debian.org>
Cc: 617342@bugs.debian.org
Subject: [owner@bugs.debian.org: Bug#699939 closed by smr@debian.org (Steve M. Robbins) (Bug#699939: fixed in mriconvert 2.0.250-1)]
Date: Sun, 10 Feb 2013 18:44:27 -0500
Hi Steve,

Thank you for the upload!  I wonder if I have misread 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617342
or it should have also been fixed with the "correct" .235?

Thank you in advance for the clarification.

----- Forwarded message from Debian Bug Tracking System <owner@bugs.debian.org> -----
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 07 Feb 2013 21:29:55 -0600
Source: mriconvert
Binary: mriconvert
Architecture: source amd64
Version: 2.0.250-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 mriconvert - medical image file conversion utility
Closes: 699939
Changes: 
 mriconvert (2.0.250-1) unstable; urgency=low
 .
   * New upstream.  Closes: #699939.
   * control: Update build-depends (add libboost-program-options-dev).
   * patches/findwxwidgets.patch: Remove.
   * patches/wxwidgets-initializer.patch: Remove.
   * Upstream fixed source package issues; remove get-orig-source script.
-- 
Yaroslav O. Halchenko
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#617342; Package mriconvert. (Mon, 11 Feb 2013 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Mon, 11 Feb 2013 15:54:03 GMT) Full text and rfc822 format available.

Message #74 received at 617342@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Yaroslav Halchenko <yoh@debian.org>
Cc: 617342@bugs.debian.org, control@bugs.debian.org
Subject: Re: [owner@bugs.debian.org: Bug#699939 closed by smr@debian.org (Steve M. Robbins) (Bug#699939: fixed in mriconvert 2.0.250-1)]
Date: Mon, 11 Feb 2013 09:39:14 -0600
retitle 617342 32-bit multiframe image conversion ignores frames
thanks

On February 10, 2013 05:44:27 PM Yaroslav Halchenko wrote:
> Hi Steve,
> 
> Thank you for the upload!  I wonder if I have misread
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=617342
> or it should have also been fixed with the "correct" .235?

Well, it *should* have been fixed in rev235.  It was fixed in
the rev235 *binary* that I tried.  Unfortunately, the source tarball on the 
site was not updated when r235 was released, so it wasn't actually fixed in the 
Debian package.

Also of note: while the output is indeed 32-bit pixels, the particular file 
Mathieu supplied is still not handled properly because only one of the frames 
is output.    So it wasn't likely fixed even with the "correct" r235.

Thus I am leaving the bug open, with the updated title.

Best regards,
-Steve



Changed Bug title to '32-bit multiframe image conversion ignores frames' from 'mriconvert: MRIConvert does not support 32 bits' Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Mon, 11 Feb 2013 15:54:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:45:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.